{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Creer soutenance
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}


{% block main %}
    <h1 class="text-2xl font-semibold text-center mb-4">Soutenance n°{{soutenance.id}}</h1>
    <table class="w-full rounded-lg overflow-hidden border border-collapse">
        <tbody>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">ID</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{soutenance.id}}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Prof Referrant</th>
                    <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{soutenance.mission_request.profReferant.first_name}} {{soutenance.mission_request.profReferant.last_name}}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Date</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{soutenance.date}}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Titre de l'offre</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{soutenance.mission_request.offre.titre}}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Description de l'offre</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{soutenance.mission_request.offre.description}}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Professeur Candide</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]"> {{soutenance.candid_teacher.last_name}} {{soutenance.candid_teacher.first_name}}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Room</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]"> {{ soutenance.room_id }}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Eleve</th>
                    <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{soutenance.mission_request.user.first_name}} {{soutenance.mission_request.user.last_name}}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Entreprise</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]"> {{ soutenance.mission_request.company.name }}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Maitre de stage/Responsable</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]"> {{ soutenance.mission_request.company.responsable.first_name }} {{ soutenance.mission_request.company.responsable.last_name }}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Durée</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ soutenance.duration }}</td>
            </tr>
            {% if temps >= 0 %}
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Temps restant</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]"> {{ temps }} jours</td>
            </tr>
            {% endif %}


        </tbody>
    </table>


    




{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}